function [ Ic , lags , auto_fwhm ] = Intensity_autocorrelation( I , dt , T_window )
% Intensity_autocorrelation
% [ Ic , lags , auto_fwhm ] = Intensity_autocorrelation( I , dt , T_window )
%
% Return the Intensity autocorrelation for positive delays Ic(lags) with lags=[0,Twindow]
% as well as the FHWM
%

auto_lag = round(T_window/dt);


 for jj=1:auto_lag,Ic(jj)=sum( I( 1:(end-jj+1) ) .* I(jj:end) );end; Ic=Ic./Ic(1); lags=dt*([1:auto_lag]-1);
 
% [Ic,lags] = autocorr(I,auto_lag); lags=lags*dt; & if you have matlab and signal proc toolbox use FFT based autocorrelation
   
        if(min(Ic)<0.5)
            
             p2= find( Ic<0.5 , 1 ) ; % 50% crossing %    if ( isempty(p2) ~= 1 && p2 > 1)
                 p1 = p2 - 1 ;
                 m = ( Ic(p2)-Ic(p1) ) / ( lags(p2)- lags(p1) ) ;     % make a linear interpolation, slope
                 p = Ic(p1)-m*lags(p1);                               % make a linear interpolation, intercept
                 auto_fwhm  = 2*(0.5-p)/m;
                 
         else
             auto_fwhm   = NaN ;
        end
end

