/*
----------------------------Authors -----------------------------------

Julien Javaloyes
Salvador Balle

Universitat de les Illes Baleares
Palma de Mallorca

-----------------------------Copyright --------------------------------

This file is part of Freetwm

Freetwm is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 3 of the License, or (at your
option) any later version.

Freetwm is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with Freetwm; see the file COPYING.  
If not, see <http://www.gnu.org/licenses/>.

-----------------------------------------------------------------------
*/


/* ------------------------------------------------------------------------------------------------------------------------------------- */
/* ------------------------------------ define gards, default options  ----------------------------------------------------------------- */
/* ------------------------------------------------------------------------------------------------------------------------------------- */


#ifndef REAL
#define REAL double
#endif

#ifndef DBG
#define DBG 1
#endif

#ifndef HAVEMKL 
#define HAVEMKL 0
#endif

#ifndef APPROX
#define APPROX 1
#endif

#ifndef UNI_RNG_METHOD
#define UNI_RNG_METHOD VSL_BRNG_MT19937
#endif

#ifndef SEED
#define SEED 380116160 
#endif

#ifndef SCALING_FACTOR
#define SCALING_FACTOR 0.00125 
#endif

#ifndef DIM_LUT               /* --- Number of elements within the Look Up table for the gain/index ------- ------ */ 
#define DIM_LUT 1001
#endif

#ifndef dD_LUT
#define dD_LUT  0.025         /* ---  dD_LUT defines Dmax as dD_LUT = (Dmax-0)/(DIM_LUT-1) ----------------------- */ 
#endif

#ifndef delta_quad            /* --- Maximal normalized variation of the frequency or of the Fermi function ------ */ 
#define delta_quad  0.01      /* --- used within the quadrature giving the gain integrated over the energy band -- */ 
#endif


#ifndef M_PI
#define M_PI 3.14159265358979323846	/* pi */
#endif

/* As Intel compiler doesn't understand the name of standard boolean type_Bool as a keyword, we need to declare it here */

#ifndef bool 
#define bool int
#endif 

#ifndef true
#define true 1
#endif 

#ifndef false
#define false 0
#endif 

/* ------------------------------------------------------------------------------------------------------------------------------------- */
/* ---------------------------------------------------- EOF----------------------------------------------------------------------------- */
/* ------------------------------------------------------------------------------------------------------------------------------------- */
