@echo off

rem Compile and link options used for building MEX-files using min64,
rem for the 64-bit version of MATLAB.

rem It makes the assumption that you installed gcc in 
rem C:\Program Files\mingw-builds\x64-4.8.1-posix-seh-rev5\mingw64
rem using the installer here  http://sourceforge.net/projects/mingwbuilds/
rem and that you installed the 4.8.1 gcc / x64 / posix / rev 5 package.

rem This file should be renamed to "mexopts.bat" and copied to:
rem C:\Documents and Settings\<Username>\Application Data\MathWorks\MATLAB\<MATLAB version>\

rem This file only supports C code.
 
rem ********************************************************************
rem General parameters
rem ********************************************************************
 
set MINGWPATH=C:\Program Files\mingw-builds\x64-4.8.1-posix-seh-rev5\mingw64
set PATH=%MINGWPATH%\bin;%PATH%
set MW_TARGET_ARCH=win64

rem ********************************************************************
rem Compiler parameters
rem ********************************************************************

set COMPILER=x86_64-w64-mingw32-gcc
set COMPFLAGS=-c -m64 -fexceptions -DMATLAB_MEX_FILE "-I%MATLAB%\extern\include" -std=c99
set OPTIMFLAGS=-O3 -ffast-math -mtune=native
set DEBUGFLAGS=-g -Wall
set NAME_OBJECT=-o

rem ********************************************************************
rem Linker parameters
rem ********************************************************************

set LIBLOC1="%MATLAB%\bin\win64"
set LIBLOC2="%MATLAB%\extern\lib\win64\microsoft"
set LINKER=x86_64-w64-mingw32-gcc
set LINKFLAGS=-shared -L%LIBLOC1% -L%LIBLOC2%
set LINKFLAGSPOST=-lmex -lmx -leng -lmat -lmwlapack -lmwblas -lstdc++
set LINKOPTIMFLAGS=-O 
set LINKDEBUGFLAGS=-g -Wall
set NAME_OUTPUT= -o "%OUTDIR%%MEX_NAME%%MEX_EXT%"


